<form class="callback-popup-form js-callback-popup-form">
	<div class="overlay js-overlay"></div>

	<div class="content">
		<button type="button" class="close js-close"><svg viewBox="0 0 22 22"><path d="M1.313 19.273l18.03-18.031 1.415 1.414L2.727 20.688z"/><path d="M1.312 2.727l1.415-1.414 18.031 18.03-1.414 1.415z"/></svg></button>

		<h2>Обратная связь</h2>
		<p>Вы всегда можете отправить нам письмо или позвонить по телефону круглосуточной линии <a href="/">+7 (495)
				921-34-27</a></p>

		<input class="input" type="email" required="required" placeholder="Введите ваш E-mail"/>
		<input class="input" type="text" required="required" placeholder="Имя"/>
		<input class="input" type="text" required="required" placeholder="Телефон"/>
		<textarea class="textarea" required="required" placeholder="Введите ваше сообщение"></textarea>

		<div class="captcha">
			<div>
				<input class="input" type="text" required="required" placeholder="Введите код"/>
				<small>Все поля обязательны для заполнения</small>
			</div>
			<div>
				<figure class="input"></figure>
				<a href="/">Другое изображение</a>
			</div>
		</div>

		<button class="submit" type="submit">Отправить письмо</button>
	</div>
</form>

<script>
	(function () {
		const $form = document.querySelector('.js-callback-popup-form');
		const $overlay = $form.querySelector('.js-overlay');
		const $close = $form.querySelector('.js-close');

		const $trigger = document.querySelector('.js-callback-popup-form-trigger');

		const onOpen = function (e) {
			e.preventDefault();
			document.body.style.overflow = 'hidden';
			$form.classList.add('active');
		};

		const onClose = function (e) {
			e.preventDefault();
			document.body.style.overflow = '';
			$form.classList.remove('active');
		};

		$trigger.addEventListener('click', onOpen, false);
		$close.addEventListener('click', onClose, false);
		$overlay.addEventListener('click', onClose, false);
	})();
</script>
